# coding: utf-8
"""
    holocron.ext
    ~~~~~~~~~~~~

    The package provides a namespace for extensions. It contains both
    abstract base classes and built-in implementations.

    :copyright: (c) 2014 by the Holocron Team, see AUTHORS for details.
    :license: 3-clause BSD, see LICENSE for details.
"""

from .markdown import Markdown
from .restructuredtext import ReStructuredText

from .index import Index
from .feed import Feed
from .sitemap import Sitemap
from .tags import Tags


__all__ = [
    'Markdown',
    'ReStructuredText',

    'Index',
    'Feed',
    'Sitemap',
    'Tags',
]
